Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
The match() filter without the use of the value() option...
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian)
View previous topic :: View next topic  
Author Message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 10:27 am    Post subject: The match() filter without the use of the value() option... Reply with quote

Durante il boot mi esce questo messaggio:
Code:
INIT:Enetring runlevel 3:
WARNING: the match() filter without the use of the value() option is deprecated and hinders performance, please update your configuration

Ho provato con
Code:
 etc-update
oppure
Code:
env-update && source /etc/profile
ma il problema persiste.
Suggerimenti?
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Tue Feb 16, 2010 10:54 am    Post subject: Reply with quote

beh, un warning non è un errore.
ma come ti e` stato suggerito nella discussione su nano, controlla di non avere la flag debug attiva.

domanda: che profile stai usando?

Code:
eselect profile list


dato che mi sembri nuovo, ti spiego. il profile continene un set di flag attivate e altre mascherate (trad: se anche le attivi in /etc/make.conf non cambia nulla) in automatico.
ad esempio, io ho:
Code:
eselect profile list
Available profile symlink targets:
  [1]   default/linux/amd64/10.0
  [2]   default/linux/amd64/10.0/desktop
  [3]   default/linux/amd64/10.0/developer
  [4]   default/linux/amd64/10.0/no-multilib *
  [5]   default/linux/amd64/10.0/server
  [6]   hardened/linux/amd64/10.0
  [7]   hardened/linux/amd64/10.0/no-multilib
  [8]   selinux/2007.0/amd64
  [9]   selinux/2007.0/amd64/hardened
  [10]  selinux/v2refpolicy/amd64
  [11]  selinux/v2refpolicy/amd64/desktop
  [12]  selinux/v2refpolicy/amd64/developer
  [13]  selinux/v2refpolicy/amd64/hardened
  [14]  selinux/v2refpolicy/amd64/server

(ti consiglio il profile desktop, a meno che tu non debba fare chissà che cosa)
_________________
Darkman
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 10:59 am    Post subject: Reply with quote

Questo è il responso:
Code:
devihost devi # eselect profile list
Available profile symlink targets:
  [1]   default/linux/amd64/10.0 *
  [2]   default/linux/amd64/10.0/desktop
  [3]   default/linux/amd64/10.0/developer
  [4]   default/linux/amd64/10.0/no-multilib
  [5]   default/linux/amd64/10.0/server
  [6]   hardened/linux/amd64/10.0
  [7]   hardened/linux/amd64/10.0/no-multilib
  [8]   selinux/2007.0/amd64
  [9]   selinux/2007.0/amd64/hardened
  [10]  selinux/v2refpolicy/amd64
  [11]  selinux/v2refpolicy/amd64/desktop
  [12]  selinux/v2refpolicy/amd64/developer
  [13]  selinux/v2refpolicy/amd64/hardened
  [14]  selinux/v2refpolicy/amd64/server

Mi consigli allora di impostare il profilo desktop?
Back to top
View user's profile Send private message
ago
Developer
Developer


Joined: 01 Mar 2008
Posts: 1518
Location: Cosenza, Italy

PostPosted: Tue Feb 16, 2010 11:51 am    Post subject: Reply with quote

il profilo desktop ti aggiunge qualche use di default...
_________________
Contattami se vuoi contribuire in:
-Arch tester
-Chromium tester
-Traduzione doc. it
-Security
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 1:56 pm    Post subject: Reply with quote

Ok sono passato al desktop ma mica il warning è scomparso. Ma cosa può essere?
Back to top
View user's profile Send private message
Apetrini
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1158

PostPosted: Tue Feb 16, 2010 3:12 pm    Post subject: Reply with quote

Hai qualche serio problema. Posta per cortesia l'output di "emerge --info".
_________________
Linux ape 2.6.31-vanilla. Paludis since 0.28.0.
Back to top
View user's profile Send private message
mack1
Guru
Guru


Joined: 18 Mar 2006
Posts: 315

PostPosted: Tue Feb 16, 2010 4:03 pm    Post subject: Reply with quote

Quote:

WARNING: the match() filter without the use of the value() option is deprecated and hinders performance, please update your configuration


Ciao, è un avviso di syslog-ng; con il passaggio alla versione 3 c'è stata una modifica della sintassi; devi sostituire "match ()" con "message()" nel file di configurazione.
Comunque prova in una shell a riavviare syslog-ng e vedi gli eventuali errori che ti si presentano.

Ciao
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 4:11 pm    Post subject: Reply with quote

Apetrini wrote:
Hai qualche serio problema. Posta per cortesia l'output di "emerge --info".

Questo è il risultato:
Code:
Portage 2.1.7.16 (default/linux/amd64/10.0/desktop, gcc-4.3.4, glibc-2.10.1-r1, 2.6.31-gentoo-r6 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r6-x86_64-AMD_Turion-tm-_64_X2_Mobile_Technology_TL-58-with-gentoo-1.12.13
Timestamp of tree: Sun, 14 Feb 2010 22:00:01 +0000
app-shells/bash:     4.0_p35
dev-lang/python:     2.6.4
dev-util/cmake:      2.6.4-r3
sys-apps/baselayout: 1.12.13
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.2
sys-devel/binutils:  2.18-r3
sys-devel/gcc:       4.3.4
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.27-r2
ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=native -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-march=native -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch protect-owned sandbox sfperms strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="ftp://ftp-stud.hs-esslingen.de/pub/Mirrors/gentoo/ ftp://de-mirror.org/distro/gentoo/ "
LDFLAGS="-Wl,-O1"
LINGUAS="it"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3dnow X Xaw3d a52 aac aalib acl acpi adns afs aim alsa amd64 ao apache2 apm atm audiofile autoipd avahi bash-completion bcmath berkdb bidi bindist blas bluetooth boundschecking branding bsf bzip2 cairo calendar canna caps cdb cdda cddb cdinstall cdparanoia cgi chasen cjk clamav cli consolekit cracklib crypt cscope css ctype cups curl curlwrappers custom-cflags cvs cxx db2 dbase dbi dbm dbus dbx dedicated dga djvu dri dts dv dvb dvd emacs emboss encode enscript evo examples exif expat extras fam fastcgi fbcon ffmpeg fftw firefox flac flatfile fltk fontconfig foomaticdb fortran freewnn ftp gcj gd gd-external gdbm geoip ggi gif gimp ginac glut gmp gnome gnome-keyring gnuplot gnustep gnutls gphoto2 gpm gps graphviz gsl gsm gstreamer gtk gtkhtml gzip hal handbook hardened hddtemp hdf5 iconv icq icu idn ieee1394 imagemagick imap imlib inifile innodb interbase iodbc ipod ipv6 jabber jack java5 java6 javascript jbig jingle joystick jpeg jpeg2k kde kerberos kolab kontact krb4 ladspa lame lapack lash latex lcms libcaca libedit libgda libnotify libsamplerate libwww lirc lm_sensors lzo m17n-lib mad maildir mailwrapper matroska matrox mbox mcve memlimit mhash migemo mikmod milter mime mmap mmx mng modplug modules motif mozilla mp3 mp4 mpeg mpi mplayer msn msql mssql mtp mudflap mule multilib musepack musicbrainz mysqli nas ncurses neXt netboot netcdf nis nls nntp nocd nptl nptlonly nsplugin ocamlopt oci8 oci8-instant-client offensive ofx ogg old-linux openal openexr openmp oracle osc oscar oss pam pch pcmcia pcntl pcre pda pdf perl plasma plotutils png portaudio posix ppds pppd prelude profile pulseaudio python qdbm qmail-spp qt3 qt3support qt4 quicktime radius raw rdesktop readline recode reflection rss s samba sapdb sasl savedconfig scanner sdl seamonkey semantic-desktop session sharedext sharedmem shorten simplexml skey slang slp smartcard smp sndfile snmp soap sockets socks5 source sox speex spell spl sse sse2 ssl startup-notification static-libs subversion suid svg symlink sysfs syslog sysvipc szip taglib tcpd theora threads thunar tidy tiff timidity tokenizer truetype unicode usb v4l v4l2 vcd vhosts videos vim-syntax vnc voodoo3 vorbis wavpack wddx wifi wmf wxwidgets x264 xattr xcomposite xemacs xface xft xine xinerama xinetd xml xmlrpc xorg xosd xpm xscreensaver xsl xulrunner xv xvid yahoo yaz zeroconf zlib zsh-completion" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev synaptics keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="it" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fglrx radeon radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LC_ALL, MAKEOPTS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, PORTDIR_OVERLAY


@mack1: Come faccio riavviare syslog-ng? E se lo reinstallassi?
Back to top
View user's profile Send private message
Apetrini
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1158

PostPosted: Tue Feb 16, 2010 4:40 pm    Post subject: Reply with quote

Mi sembra che hai un pochino di confusione nel sistema...

1) emerge -uNDp world . Cosa sputa fuori ?

2) etc-update deve aggiornare ancora qualche file ?
_________________
Linux ape 2.6.31-vanilla. Paludis since 0.28.0.
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 4:43 pm    Post subject: Reply with quote

mack1 wrote:
Quote:

WARNING: the match() filter without the use of the value() option is deprecated and hinders performance, please update your configuration


Ciao, è un avviso di syslog-ng; con il passaggio alla versione 3 c'è stata una modifica della sintassi; devi sostituire "match ()" con "message()" nel file di configurazione.
Comunque prova in una shell a riavviare syslog-ng e vedi gli eventuali errori che ti si presentano.

Ciao

Scusa mack1, ne parli anche in questa discussione: https://forums.gentoo.org/viewtopic-t-340333-postdays-0-postorder-asc-start-75.html dove hai affrontato e risolto il problema:per favore non puoi dirmi direttamente qual è il file di configurazione da modificare, in base a quanto hai indicato, così faccio la modifica e risolvo?
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 4:50 pm    Post subject: Reply with quote

Apetrini wrote:

1) emerge -uNDp world . Cosa sputa fuori ?

Questo è il responso:
Code:
devihost devi #  emerge -uNDp world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  N    ] net-libs/adns-1.4
[ebuild   R   ] app-arch/xz-utils-4.999.9_beta  USE="static-libs*"
[ebuild   R   ] net-misc/netkit-fingerd-0.17-r3  USE="xinetd*"
[ebuild   R   ] net-misc/dhcp-3.1.2_p1  USE="-minimal*"
[ebuild   R   ] dev-libs/libisofs-0.6.24  USE="xattr*"
[ebuild   R   ] dev-games/libggz-0.0.14.1  USE="gnutls*"
[ebuild   R   ] net-misc/dhcdbd-3.0  USE="-debug*"
[ebuild  N    ] media-libs/libmad-0.15.1b-r2  USE="-debug"
[ebuild   R   ] x11-apps/xdpyinfo-1.1.0  USE="dga* xinerama*"
[ebuild  N    ] media-libs/a52dec-0.7.4-r6  USE="oss -djbfft"
[ebuild  N    ] media-libs/libdvdread-0.9.7  USE="css"
[ebuild   R   ] sys-boot/grub-0.97-r9  USE="custom-cflags* netboot*"
[ebuild   R   ] sys-apps/groff-1.20.1-r1  USE="examples*"
[ebuild   R   ] net-misc/wget-1.12  USE="-debug*"
[ebuild   R   ] sys-apps/busybox-1.14.2  USE="-debug*"
[ebuild     U ] sys-process/psmisc-22.10 [22.7]
[ebuild   R   ] dev-cpp/glibmm-2.20.1  USE="examples*"
[ebuild  N    ] net-dns/idnkit-1.0
[ebuild  N    ] dev-util/gob-2.0.15  USE="-debug"
[ebuild  N    ] app-pda/pilot-link-0.12.3-r1  USE="perl png python readline threads usb (-bluetooth) -debug -java"
[ebuild     U ] dev-python/pyxdg-0.18 [0.17-r2]
[ebuild   R   ] dev-python/gdata-2.0.4  USE="examples*"
[ebuild   R   ] sys-devel/gdb-7.0  USE="expat*"
[ebuild   R   ] net-misc/neon-0.29.0  USE="expat* gnutls* kerberos*"
[ebuild   R   ] net-dns/bind-tools-9.4.3_p4  USE="idn*"
[ebuild  N    ] media-plugins/gst-plugins-alsa-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-dvb-0.10.14
[ebuild  N    ] media-plugins/gst-plugins-mad-0.10.12
[ebuild  N    ] media-plugins/gst-plugins-oss-0.10.16
[ebuild  N    ] media-plugins/gst-plugins-dvdread-0.10.12
[ebuild  N    ] media-libs/gst-plugins-ugly-0.10.12  USE="-debug"
[ebuild  N    ] media-plugins/gst-plugins-xvideo-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-theora-0.10.24
[ebuild  N    ] media-libs/gst-plugins-bad-0.10.14  USE="-debug"
[ebuild  N    ] media-plugins/gst-plugins-ogg-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-a52dec-0.10.12
[ebuild  N    ] media-plugins/gst-plugins-vorbis-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-flac-0.10.16
[ebuild   R   ] dev-python/gst-python-0.10.16  USE="examples*"
[ebuild   R   ] x11-libs/qt-core-4.5.3-r2  USE="qt3support*"
[ebuild   R   ] x11-libs/qt-gui-4.5.3-r2  USE="qt3support* -accessibility* -debug*"
[ebuild  N    ] x11-libs/qt-sql-4.5.3  USE="iconv pch qt3support (-aqua) -debug (-firebird) -mysql -odbc -postgres -sqlite"
[ebuild   R   ] x11-libs/qt-svg-4.5.3-r1  USE="-debug*"
[ebuild  N    ] x11-libs/qt-qt3support-4.5.3  USE="kde pch -accessibility (-aqua) -debug -phonon"
[ebuild   R   ] net-wireless/wpa_supplicant-0.6.9  USE="-debug*"
[ebuild   R   ] media-sound/alsa-utils-1.0.21-r1  USE="-minimal*"
[ebuild  N    ] net-fs/openafs-kernel-1.4.9
[ebuild   R   ] net-wireless/ndiswrapper-1.55-r1  USE="-debug*"
[ebuild  N    ] net-fs/openafs-1.4.9  USE="kerberos pam -debug -doc"
[ebuild   R   ] sys-power/pm-utils-1.2.5  USE="-debug* -networkmanager*"
[ebuild  N    ] sys-power/powermgmt-base-1.22
[ebuild  N    ] sys-apps/apmd-3.2.2_p5  USE="X nls"
[ebuild   R   ] app-crypt/pinentry-0.7.5  USE="caps*"
[ebuild   R   ] dev-cpp/gtkmm-2.16.0  USE="examples*"
[ebuild   R   ] app-crypt/gnupg-2.0.14  USE="adns* caps* smartcard*"
[ebuild   R   ] media-libs/libcanberra-0.11  USE="alsa* gstreamer* oss*"
[ebuild  N    ] sys-libs/lwp-2.2
[ebuild   R   ] gnome-extra/policykit-gnome-0.9.2-r1  USE="-debug*"
[ebuild   R   ] gnome-base/gnome-session-2.26.2  USE="branding*"
[ebuild   R   ] gnome-extra/gucharmap-2.26.3.1  USE="cjk* gnome*"
[ebuild   R   ] net-libs/gtk-vnc-0.3.8-r1  USE="examples*"
[ebuild   R   ] dev-python/libgnomecanvas-python-2.26.1  USE="examples*"
[ebuild   R   ] dev-python/gconf-python-2.26.1  USE="examples*"
[ebuild   R   ] app-admin/sudo-1.7.2_p1  USE="offensive* skey*"
[ebuild   R   ] dev-python/gnome-keyring-python-2.26.0  USE="examples*"
[ebuild   R   ] dev-python/libwnck-python-2.26.0  USE="examples*"
[ebuild   R   ] app-editors/gedit-2.26.3  USE="spell* xattr*"
[ebuild   R   ] net-misc/vinagre-2.26.2  USE="avahi*"
[ebuild   R   ] gnome-extra/zenity-2.26.0  USE="libnotify*"
[ebuild   R   ] app-crypt/seahorse-2.26.2  USE="avahi* libnotify*"
[ebuild   R   ] x11-wm/metacity-2.26.0-r1  USE="xinerama*"
[ebuild   R   ] net-print/cups-1.3.11-r1  USE="avahi* gnutls* jpeg* kerberos* png* ppds* samba* slp* tiff* xinetd* zeroconf*"
[ebuild   R   ] net-wireless/bluez-4.39-r2  USE="-debug*"
[ebuild   R   ] gnome-base/gvfs-1.2.3  USE="avahi* bash-completion* bluetooth* cdda* gnome-keyring* gphoto2* hal* samba*"
[ebuild   R   ] dev-python/gnome-vfs-python-2.26.1  USE="examples*"
[ebuild  N    ] media-libs/libao-0.8.8  USE="alsa mmap nas pulseaudio -doc"
[ebuild   R   ] app-text/evince-2.26.2  USE="djvu* gnome-keyring* tiff*"
[ebuild  N    ] media-libs/libmpeg2-0.5.1  USE="X sdl"
[ebuild   R   ] app-cdr/cdrdao-1.2.3_rc2  USE="encode* mad* vorbis*"
[ebuild   R   ] dev-python/libgnomeprint-python-2.26.0  USE="examples*"
[ebuild   R   ] dev-python/libbonobo-python-2.26.1  USE="examples*"
[ebuild  N    ] media-plugins/gst-plugins-mpeg2dec-0.10.12
[ebuild   R   ] dev-python/libgnome-python-2.26.1  USE="examples*"
[ebuild   R   ] media-plugins/gst-plugins-meta-0.10-r2  USE="a52* alsa* dvb* dvd* ffmpeg* flac* mad* mpeg* ogg* oss* theora* vorbis* xv*"
[ebuild   R   ] gnome-extra/evolution-data-server-2.26.3  USE="gnome-keyring* kerberos* krb4*"
[ebuild   R   ] net-misc/vino-2.26.2-r1  USE="avahi* gnome-keyring* gnutls* jpeg* libnotify*"
[ebuild   R   ] media-libs/swfdec-0.8.4  USE="alsa* ffmpeg* gstreamer* pulseaudio*"
[ebuild   R   ] gnome-extra/gnome-media-2.26.0-r1  USE="pulseaudio*"
[ebuild   R   ] gnome-base/nautilus-2.26.4  USE="gnome*"
[ebuild   R   ] gnome-base/gnome-settings-daemon-2.26.1-r2  USE="libnotify* pulseaudio*"
[ebuild   R   ] media-video/totem-2.26.3-r1  USE="bluetooth* lirc* nsplugin*"
[ebuild   R   ] gnome-extra/gnome-screensaver-2.26.1  USE="libnotify*"
[ebuild   R   ] media-gfx/eog-2.26.3  USE="exif* lcms*"
[ebuild   R   ] www-client/epiphany-2.26.3-r1  USE="avahi* spell*"
[ebuild   R   ] x11-libs/gksu-2.0.2  USE="gnome*"
[ebuild   R   ] gnome-base/gnome-volume-manager-2.24.1  USE="consolekit*"
[ebuild   R   ] app-cdr/brasero-2.26.3  USE="-cdr*"
[ebuild   R   ] gnome-extra/libgsf-1.14.15  USE="gnome*"
[ebuild   R   ] gnome-base/gdm-2.20.10-r2  USE="afs* branding* gnome-keyring* xinerama*"
[ebuild  N    ] media-gfx/gimp-2.6.8  USE="aalib alsa curl dbus exif gnome hal jpeg lcms mmx mng pdf png python smp sse svg tiff wmf (-altivec) -debug -doc -webkit"
[ebuild   R   ] dev-python/gnome-applets-python-2.26.0  USE="examples*"
[ebuild  N    ] app-pda/gnome-pilot-2.0.17-r1  USE="hal -debug"
[ebuild   R   ] gnome-extra/nm-applet-0.7.2  USE="-debug*"
[ebuild  N    ] media-gfx/ufraw-0.16  USE="exif gimp gnome gtk openmp -contrast -hotpixels -lensfun -timezone"
[ebuild  N    ] app-pda/gnome-pilot-conduits-2.0.17  USE="-debug"
[ebuild   R   ] gnome-base/gnome-applets-2.26.3  USE="acpi* apm* gnome* gstreamer*"
[ebuild   R   ] gnome-extra/deskbar-applet-2.26.2-r1  USE="spell*"
[ebuild  N    ] media-gfx/imagemagick-6.5.7.0  USE="X bzip2 corefonts djvu fftw fontconfig graphviz jbig jpeg jpeg2k lcms openexr openmp perl png raw svg tiff truetype wmf xml zlib -autotrace -doc -fpx -gs -hdri -lqr -nocxx -q32 -q8"
[ebuild   R   ] mail-client/evolution-2.26.3  USE="gstreamer* kerberos* krb4* nntp* pda* profile*"
[blocks B     ] sys-power/powermgmt-base ("sys-power/powermgmt-base" is blocking sys-power/pm-utils-1.2.5)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-power/powermgmt-base-1.22', 'merge') pulled in by
    >=sys-power/powermgmt-base-1.22 required by ('ebuild', '/', 'sys-apps/apmd-3.2.2_p5', 'merge')

  ('ebuild', '/', 'sys-power/pm-utils-1.2.5', 'merge') pulled in by
    >=sys-power/pm-utils-1.1.1 required by ('installed', '/', 'net-misc/wicd-1.6.2.2', 'nomerge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

Apetrini wrote:

2) etc-update deve aggiornare ancora qualche file ?

Non credo perchè l'ho dato.
Suggerimenti?
Back to top
View user's profile Send private message
mack1
Guru
Guru


Joined: 18 Mar 2006
Posts: 315

PostPosted: Tue Feb 16, 2010 4:50 pm    Post subject: Reply with quote

Ciao il file è /etc/syslog-ng/syslog-ng.conf, il mio è questo:

Code:

@version: 3.0

options {
        chain_hostnames(no);
        stats_freq(43200);
};

source src {
    unix-stream("/dev/log" max-connections(256));
    internal();
    file("/proc/kmsg");
};

source src { unix-stream("/dev/log"); internal(); };
source kernsrc { file("/proc/kmsg"); };

#define destinations
destination authlog { file("/var/log/auth.log"); };
destination cron { file("/var/log/cron.log"); };
destination daemon { file("/var/log/daemon.log"); };
destination kern { file("/var/log/kern.log"); };
destination kernel_all { file("/dev/tty11"); };
destination lpr { file("/var/log/lpr.log"); };
destination user { file("/var/log/user.log"); };
destination mail { file("/var/log/mail.log"); };
destination mailinfo { file("/var/log/mail.info"); };
destination mailwarn { file("/var/log/mail.warn"); };
destination mailerr { file("/var/log/mail.err"); };
destination newscrit { file("/var/log/news/news.crit"); };
destination newserr { file("/var/log/news/news.err"); };
destination newsnotice { file("/var/log/news/news.notice"); };
destination debug { file("/var/log/debug"); };
destination messages { file("/var/log/messages"); };
destination console { usertty("root"); };
destination console_all { file("/dev/tty12"); };
destination xconsole { pipe("/dev/xconsole"); };
destination firewall { file("/var/log/firewall.log"); };

#create filters
filter f_auth { facility(auth); };
filter f_authpriv { facility(auth, authpriv); };
filter f_cron { facility(cron); };
filter f_daemon { facility(daemon); };
filter f_kern { facility(kern); };
filter f_lpr { facility(lpr); };
filter f_mail { facility(mail); };
filter f_user { facility(user); };
filter f_debug { not facility(auth, authpriv, news, mail); };
filter f_messages { level(info..warn) and not facility(auth, authpriv, mail, news); };
filter f_emergency { level(emerg); };
filter f_info { level(info); };
filter f_notice { level(notice); };
filter f_warn { level(warn); };
filter f_crit { level(crit); };
filter f_err { level(err); };
filter f_failed { message("failed"); };
filter f_denied { message("denied"); };
filter f_firewall { message("FW:"); };

#connect filter and destination
log { source(src); filter(f_authpriv); destination(authlog); };
log { source(src); filter(f_cron); destination(cron); };
log { source(src); filter(f_daemon); destination(daemon); };
log { source(kernsrc); filter(f_kern); destination(kern); };
log { source(src); filter(f_lpr); destination(lpr); };
log { source(src); filter(f_mail); destination(mail); };
log { source(src); filter(f_user); destination(user); };
log { source(src); filter(f_mail); filter(f_info); destination(mailinfo); };
log { source(src); filter(f_mail); filter(f_warn); destination(mailwarn); };
log { source(src); filter(f_mail); filter(f_err); destination(mailerr); };
log { source(src); filter(f_debug); destination(debug); };
log { source(src); filter(f_messages); destination(messages); };
log { source(src); filter(f_emergency); destination(console); };
log { source(kernsrc); filter(f_firewall); destination(firewall); };
log { source(src); destination(kernel_all); };
log { source(kernsrc); destination(console_all); };


Ciao
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 5:16 pm    Post subject: Reply with quote

@mack1: grazie ora vedo che posso fare

Apetrini wrote:
Mi sembra che hai un pochino di confusione nel sistema...

Che posso fare per toglierla questa confusione?
Ma è tanto importante syslog-ng? Non posso toglierlo e risolvo il problema?
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Tue Feb 16, 2010 9:37 pm    Post subject: Reply with quote

lo so che non è una risposta mirata al problema, ma io, fossi in te farei i seguenti passi:

1) aggiornare il sistema, così si sitemano un po' le flag e si toglie qualche "debug" in meno
Code:
emerge -uDN world


dato che avrai problemi (in quanto un pacchetto blocca l'altro), fai prima un "emerge -C powermgmt-base". In questo modo togli il paccheto che crea il conflitto. Se poi sarà un pacchetto necessario, sarà portage ad occuparsi di reinstallartelo. :wink:

2) finito l'aggiornamento, cancelli un po' di pacchetti inutili con
Code:
emerge --depclean


3) ripeti il
Code:
emerge -uDN world

non si sa mai che ti abbia cancellato qualche dipendenza.

4) infine controlli che le librerie siano tutte ok con
Code:
revdep-rebuild

(se metti il parametro -p, non esegue la ricompilazione dei pacchetti scazzati).
Segnati questo comando, perchè spesso ti risolverà molti problemi. Il comando fa parte del pacchetto "app-portage/gentoolkit" (che ti consiglio di installare)

lo so che è una cosa lunga, ma almeno ti ritrovi un sistema un po' più ordinato (o almeno così la penso io). sarà più semplice trovare la causa dell'eventuale (se ci sarà ancora) problema :wink:
_________________
Darkman
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Tue Feb 16, 2010 11:06 pm    Post subject: Reply with quote

Questo è il responso dei primi due comandi che mi hai indicato:
Code:
devihost devi # emerge -C powermgmt-base

--- Couldn't find 'null/powermgmt-base' to unmerge.

>>> No packages selected for removal by unmerge

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

devihost devi # emerge -uDN world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

Calculating dependencies... done!
[ebuild  N    ] net-libs/adns-1.4
[ebuild   R   ] app-arch/xz-utils-4.999.9_beta  USE="static-libs*"
[ebuild   R   ] net-misc/netkit-fingerd-0.17-r3  USE="xinetd*"
[ebuild   R   ] net-misc/dhcp-3.1.2_p1  USE="-minimal*"
[ebuild   R   ] dev-libs/libisofs-0.6.24  USE="xattr*"
[ebuild   R   ] dev-games/libggz-0.0.14.1  USE="gnutls*"
[ebuild   R   ] net-misc/dhcdbd-3.0  USE="-debug*"
[ebuild   R   ] x11-apps/xdpyinfo-1.1.0  USE="dga* xinerama*"
[ebuild  N    ] media-libs/a52dec-0.7.4-r6  USE="oss -djbfft"
[ebuild   R   ] sys-boot/grub-0.97-r9  USE="custom-cflags* netboot*"
[ebuild   R   ] sys-apps/groff-1.20.1-r1  USE="examples*"
[ebuild   R   ] net-misc/wget-1.12  USE="-debug*"
[ebuild   R   ] sys-apps/busybox-1.14.2  USE="-debug*"
[ebuild     U ] sys-process/psmisc-22.10 [22.7]
[ebuild   R   ] dev-cpp/glibmm-2.20.1  USE="examples*"
[ebuild  N    ] net-dns/idnkit-1.0
[ebuild  N    ] dev-util/gob-2.0.15  USE="-debug"
[ebuild  N    ] app-pda/pilot-link-0.12.3-r1  USE="perl png python readline threads usb (-bluetooth) -debug -java"
[ebuild     U ] dev-python/pyxdg-0.18 [0.17-r2]
[ebuild   R   ] dev-python/gdata-2.0.4  USE="examples*"
[ebuild   R   ] sys-devel/gdb-7.0  USE="expat*"
[ebuild   R   ] net-misc/neon-0.29.0  USE="expat* gnutls* kerberos*"
[ebuild   R   ] net-dns/bind-tools-9.4.3_p4  USE="idn*"
[ebuild  N    ] media-plugins/gst-plugins-alsa-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-dvb-0.10.14
[ebuild  N    ] media-plugins/gst-plugins-mad-0.10.12
[ebuild  N    ] media-plugins/gst-plugins-oss-0.10.16
[ebuild  N    ] media-plugins/gst-plugins-dvdread-0.10.12
[ebuild  N    ] media-libs/gst-plugins-ugly-0.10.12  USE="-debug"
[ebuild  N    ] media-plugins/gst-plugins-xvideo-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-theora-0.10.24
[ebuild  N    ] media-libs/gst-plugins-bad-0.10.14  USE="-debug"
[ebuild  N    ] media-plugins/gst-plugins-ogg-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-a52dec-0.10.12
[ebuild  N    ] media-plugins/gst-plugins-vorbis-0.10.24
[ebuild  N    ] media-plugins/gst-plugins-flac-0.10.16
[ebuild   R   ] dev-python/gst-python-0.10.16  USE="examples*"
[ebuild   R   ] x11-libs/qt-core-4.5.3-r2  USE="qt3support*"
[ebuild   R   ] x11-libs/qt-gui-4.5.3-r2  USE="qt3support* -accessibility* -debug*"
[ebuild  N    ] x11-libs/qt-sql-4.5.3  USE="iconv pch qt3support (-aqua) -debug (-firebird) -mysql -odbc -postgres -sqlite"
[ebuild   R   ] x11-libs/qt-svg-4.5.3-r1  USE="-debug*"
[ebuild  N    ] x11-libs/qt-qt3support-4.5.3  USE="kde pch -accessibility (-aqua) -debug -phonon"
[ebuild   R   ] net-wireless/wpa_supplicant-0.6.9  USE="-debug*"
[ebuild   R   ] media-sound/alsa-utils-1.0.21-r1  USE="-minimal*"
[ebuild  N    ] net-fs/openafs-kernel-1.4.9
[ebuild   R   ] net-wireless/ndiswrapper-1.55-r1  USE="-debug*"
[ebuild  N    ] net-fs/openafs-1.4.9  USE="kerberos pam -debug -doc"
[ebuild   R   ] sys-power/pm-utils-1.2.5  USE="-debug* -networkmanager*"
[ebuild  N    ] sys-power/powermgmt-base-1.22
[ebuild  N    ] sys-apps/apmd-3.2.2_p5  USE="X nls"
[ebuild   R   ] app-crypt/pinentry-0.7.5  USE="caps*"
[ebuild   R   ] dev-cpp/gtkmm-2.16.0  USE="examples*"
[ebuild   R   ] app-crypt/gnupg-2.0.14  USE="adns* caps* smartcard*"
[ebuild   R   ] media-libs/libcanberra-0.11  USE="alsa* gstreamer* oss*"
[ebuild  N    ] sys-libs/lwp-2.2
[ebuild   R   ] gnome-extra/policykit-gnome-0.9.2-r1  USE="-debug*"
[ebuild   R   ] gnome-base/gnome-session-2.26.2  USE="branding*"
[ebuild   R   ] gnome-extra/gucharmap-2.26.3.1  USE="cjk* gnome*"
[ebuild   R   ] net-libs/gtk-vnc-0.3.8-r1  USE="examples*"
[ebuild   R   ] dev-python/libgnomecanvas-python-2.26.1  USE="examples*"
[ebuild   R   ] dev-python/gconf-python-2.26.1  USE="examples*"
[ebuild   R   ] app-admin/sudo-1.7.2_p1  USE="offensive* skey*"
[ebuild   R   ] dev-python/gnome-keyring-python-2.26.0  USE="examples*"
[ebuild   R   ] dev-python/libwnck-python-2.26.0  USE="examples*"
[ebuild   R   ] app-editors/gedit-2.26.3  USE="spell* xattr*"
[ebuild   R   ] net-misc/vinagre-2.26.2  USE="avahi*"
[ebuild   R   ] gnome-extra/zenity-2.26.0  USE="libnotify*"
[ebuild   R   ] app-crypt/seahorse-2.26.2  USE="avahi* libnotify*"
[ebuild   R   ] x11-wm/metacity-2.26.0-r1  USE="xinerama*"
[ebuild   R   ] net-print/cups-1.3.11-r1  USE="avahi* gnutls* jpeg* kerberos* png* ppds* samba* slp* tiff* xinetd* zeroconf*"
[ebuild   R   ] net-wireless/bluez-4.39-r2  USE="-debug*"
[ebuild   R   ] gnome-base/gvfs-1.2.3  USE="avahi* bash-completion* bluetooth* cdda* gnome-keyring* gphoto2* hal* samba*"
[ebuild   R   ] dev-python/gnome-vfs-python-2.26.1  USE="examples*"
[ebuild  N    ] media-libs/libao-0.8.8  USE="alsa mmap nas pulseaudio -doc"
[ebuild   R   ] app-text/evince-2.26.2  USE="djvu* gnome-keyring* tiff*"
[ebuild  N    ] media-libs/libmpeg2-0.5.1  USE="X sdl"
[ebuild   R   ] app-cdr/cdrdao-1.2.3_rc2  USE="encode* mad* vorbis*"
[ebuild   R   ] dev-python/libgnomeprint-python-2.26.0  USE="examples*"
[ebuild   R   ] dev-python/libbonobo-python-2.26.1  USE="examples*"
[ebuild  N    ] media-plugins/gst-plugins-mpeg2dec-0.10.12
[ebuild   R   ] dev-python/libgnome-python-2.26.1  USE="examples*"
[ebuild   R   ] media-plugins/gst-plugins-meta-0.10-r2  USE="a52* alsa* dvb* dvd* ffmpeg* flac* mad* mpeg* ogg* oss* theora* vorbis* xv*"
[ebuild   R   ] gnome-extra/evolution-data-server-2.26.3  USE="gnome-keyring* kerberos* krb4*"
[ebuild   R   ] net-misc/vino-2.26.2-r1  USE="avahi* gnome-keyring* gnutls* jpeg* libnotify*"
[ebuild   R   ] media-libs/swfdec-0.8.4  USE="alsa* ffmpeg* gstreamer* pulseaudio*"
[ebuild   R   ] gnome-extra/gnome-media-2.26.0-r1  USE="pulseaudio*"
[ebuild   R   ] gnome-base/nautilus-2.26.4  USE="gnome*"
[ebuild   R   ] gnome-base/gnome-settings-daemon-2.26.1-r2  USE="libnotify* pulseaudio*"
[ebuild   R   ] media-video/totem-2.26.3-r1  USE="bluetooth* lirc* nsplugin*"
[ebuild   R   ] gnome-extra/gnome-screensaver-2.26.1  USE="libnotify*"
[ebuild   R   ] media-gfx/eog-2.26.3  USE="exif* lcms*"
[ebuild   R   ] www-client/epiphany-2.26.3-r1  USE="avahi* spell*"
[ebuild   R   ] x11-libs/gksu-2.0.2  USE="gnome*"
[ebuild   R   ] gnome-base/gnome-volume-manager-2.24.1  USE="consolekit*"
[ebuild   R   ] app-cdr/brasero-2.26.3  USE="-cdr*"
[ebuild   R   ] gnome-extra/libgsf-1.14.15  USE="gnome*"
[ebuild   R   ] gnome-base/gdm-2.20.10-r2  USE="afs* branding* gnome-keyring* xinerama*"
[ebuild   R   ] dev-python/gnome-applets-python-2.26.0  USE="examples*"
[ebuild  N    ] app-pda/gnome-pilot-2.0.17-r1  USE="hal -debug"
[ebuild   R   ] gnome-extra/nm-applet-0.7.2  USE="-debug*"
[ebuild  N    ] app-pda/gnome-pilot-conduits-2.0.17  USE="-debug"
[ebuild   R   ] gnome-base/gnome-applets-2.26.3  USE="acpi* apm* gnome* gstreamer*"
[ebuild   R   ] gnome-extra/deskbar-applet-2.26.2-r1  USE="spell*"
[ebuild   R   ] mail-client/evolution-2.26.3  USE="gstreamer* kerberos* krb4* nntp* pda* profile*"
[blocks B     ] sys-power/powermgmt-base ("sys-power/powermgmt-base" is blocking sys-power/pm-utils-1.2.5)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-power/powermgmt-base-1.22', 'merge') pulled in by
    >=sys-power/powermgmt-base-1.22 required by ('ebuild', '/', 'sys-apps/apmd-3.2.2_p5', 'merge')

  ('ebuild', '/', 'sys-power/pm-utils-1.2.5', 'merge') pulled in by
    >=sys-power/pm-utils-1.1.1 required by ('installed', '/', 'net-misc/wicd-1.6.2.2', 'nomerge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Mi sono bloccato perchè non so cosa devo fare.
Suggerimenti?
Back to top
View user's profile Send private message
Onip
Advocate
Advocate


Joined: 02 Sep 2004
Posts: 2912
Location: Parma (Italy)

PostPosted: Wed Feb 17, 2010 8:26 am    Post subject: Reply with quote

per prima cosa devi cercare di mantenere la calma e leggere bene gli errori:
se ti dicono di rimuovere il pacchetto powermgmt-base e emerge ti risponde
Quote:
# emerge -C powermgmt-base

--- Couldn't find 'null/powermgmt-base' to unmerge.

>>> No packages selected for removal by unmerge


sembra abbastanza chiaro che tu debba ripetere il comando aggiungendo anche la categoria che, in questo caso è sys-power.

Ad ogni modo il tuo problema non è (solo) quello, ma cercare di risolvere il conflitto che è indicato nelle ultime righe dell'output.
Se leggi bene si capisce che il pacchetto sys-power/pm-utils non può essere installato contemporaneamente a sys-power/powermgmt-base.
pm-utils è richiesto da wicd mentre powermgmt-base è richiesto da apmd, ora devi capire quale di questi due ti è indispensabile e rimuovere l'altro, installando se è il caso un pacchetto alternativo (io apmd nel portatile non l'ho mai avuto...).
Un buon aiuto in queste situazioni è l'opzione -t per emerge che ti fa vedere l'albero completo delle dipendenze in modo da capire esattamente quale pacchetto ne richiede un altro: ed esepmio, infatti, apmd potrebbe essere lì perchè dipendenza di qualcos'altro e non perchè lo hai esplicitamente richiesto tu. in questo caso anche questo ipotetico programma sarebbe da rimuovere.

Adesso:

  1. cerca di capire cosa vuoi tenere e cosa non ti serve
  2. elimina ciò che non vuoi (ed eventualmente anche chi lo richiede) con
    Code:
    # emerge -C categoria/pacc-etto

  3. procedi con l'aggiornamento
    Code:
    # emerge -DuNav --with-bdeps=y world

  4. dai una pulita ai "rami morti"
    Code:
    # emerge --depclean -a

  5. controlla che sia tutto in ordine
    Code:
    # revdep-rebuild -i -- -av


    p.s.1 per le news da leggere che emerge ti segnala c'è eselect
    Code:
    # eselect news help

    p.s.2 hai un sacco di pacchetti da ricompilare a causa di cambiamenti nelle USE flag impostate, sei sicuro che veramente ti servano tutti questi cambiamenti?
[/quote]
_________________
Linux Registered User n. 373835

Titus Lucretius Carus, De Rerum Natura - Tantum religio potuit suadere malorum
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Wed Feb 17, 2010 1:36 pm    Post subject: Reply with quote

Allora io voglio tenere wicd e pm-utils perchè mi serve per navigare, per cui, in base al tuo ragionamento, dovrei eleminare powermgmt-base e apmd vero?
Questo è quello che ho fatto:
Code:
devihost devi # emerge -DuNav --with-bdeps=y world

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] app-arch/xz-utils-4.999.9_beta  USE="nls static-libs* threads" 0 kB
[ebuild  N    ] net-libs/adns-1.4  247 kB
[ebuild   R   ] net-misc/netkit-fingerd-0.17-r3  USE="xinetd*" 0 kB
[ebuild  N    ] sys-devel/bc-1.06.95  USE="libedit readline -static" 284 kB
[ebuild   R   ] dev-libs/libisofs-0.6.24  USE="acl xattr* zlib" 0 kB
[ebuild   R   ] dev-games/libggz-0.0.14.1  USE="gnutls* -debug" 0 kB
[ebuild  N    ] sys-power/powermgmt-base-1.22  0 kB
[ebuild   R   ] net-misc/dhcp-3.1.2_p1  USE="-doc -minimal* (-selinux) -static" 0 kB
[ebuild   R   ] net-misc/dhcdbd-3.0  USE="-debug*" 0 kB
[ebuild  N    ] sys-apps/apmd-3.2.2_p5  USE="X nls" 99 kB
[ebuild   R   ] x11-apps/xdpyinfo-1.1.0  USE="dga* xinerama* -debug -dmx" 0 kB
[ebuild  N    ] media-libs/a52dec-0.7.4-r6  USE="oss -djbfft" 236 kB
[ebuild   R   ] sys-boot/grub-0.97-r9  USE="custom-cflags* ncurses netboot* -static" 0 kB
[ebuild   R   ] sys-apps/groff-1.20.1-r1  USE="X examples*" LINGUAS="(-ja)" 0 kB
[ebuild   R   ] net-misc/wget-1.12  USE="idn ipv6 nls ssl -debug* -ntlm -static" 0 kB
[ebuild   R   ] sys-apps/busybox-1.14.2  USE="pam savedconfig -debug* -make-symlinks (-selinux) -static" 0 kB
[ebuild     U ] sys-process/psmisc-22.10 [22.7] USE="X ipv6 nls (-selinux)" 308 kB
[ebuild   R   ] dev-cpp/glibmm-2.20.1  USE="examples* -debug -doc -test" 0 kB
[ebuild  N    ] net-dns/idnkit-1.0  423 kB
[ebuild  N    ] dev-util/gob-2.0.15  USE="-debug" 204 kB
[ebuild  N    ] app-pda/pilot-link-0.12.3-r1  USE="perl png python readline threads usb (-bluetooth) -debug -java" 939 kB
[ebuild     U ] dev-python/pyxdg-0.18 [0.17-r2] 37 kB
[ebuild   R   ] dev-python/gdata-2.0.4  USE="examples*" 0 kB
[ebuild   R   ] sys-devel/gdb-7.0  USE="expat* nls python -multitarget -test -vanilla" 0 kB
[ebuild   R   ] net-misc/neon-0.29.0  USE="expat* gnutls* kerberos* nls ssl zlib -doc -libproxy -pkcs11" LINGUAS="-cs -de -fr -ja -nn -pl -ru -tr -zh_CN" 0 kB
[ebuild   R   ] net-dns/bind-tools-9.4.3_p4  USE="idn* ipv6" 0 kB
[ebuild  N    ] media-plugins/gst-plugins-alsa-0.10.24  0 kB
[ebuild  N    ] media-plugins/gst-plugins-dvb-0.10.14  2,718 kB
[ebuild  N    ] media-plugins/gst-plugins-mad-0.10.12  1,004 kB
[ebuild  N    ] media-plugins/gst-plugins-oss-0.10.16  0 kB
[ebuild  N    ] media-plugins/gst-plugins-dvdread-0.10.12  0 kB
[ebuild  N    ] media-libs/gst-plugins-ugly-0.10.12  USE="-debug" 0 kB
[ebuild  N    ] media-plugins/gst-plugins-xvideo-0.10.24  0 kB
[ebuild  N    ] media-plugins/gst-plugins-theora-0.10.24  0 kB
[ebuild  N    ] media-libs/gst-plugins-bad-0.10.14  USE="-debug" 0 kB
[ebuild  N    ] media-plugins/gst-plugins-ogg-0.10.24  0 kB
[ebuild  N    ] media-plugins/gst-plugins-a52dec-0.10.12  0 kB
[ebuild  N    ] media-plugins/gst-plugins-vorbis-0.10.24  0 kB
[ebuild  N    ] media-plugins/gst-plugins-flac-0.10.16  0 kB
[ebuild   R   ] dev-python/gst-python-0.10.16  USE="examples*" 0 kB
[ebuild   R   ] x11-libs/qt-core-4.5.3-r2  USE="glib iconv pch qt3support* ssl (-aqua) -debug -doc" 0 kB
[ebuild   R   ] x11-libs/qt-gui-4.5.3-r2  USE="cups dbus glib gtk mng nas nis pch qt3support* tiff xinerama -accessibility* (-aqua) -debug* -raster" 0 kB
[ebuild  N    ] x11-libs/qt-sql-4.5.3  USE="iconv pch qt3support (-aqua) -debug (-firebird) -mysql -odbc -postgres -sqlite" 0 kB
[ebuild   R   ] x11-libs/qt-svg-4.5.3-r1  USE="iconv pch (-aqua) -debug*" 0 kB
[ebuild  N    ] x11-libs/qt-qt3support-4.5.3  USE="kde pch -accessibility (-aqua) -debug -phonon" 0 kB
[ebuild   R   ] net-wireless/wpa_supplicant-0.6.9  USE="dbus gnutls qt3 qt4 readline ssl -debug* -eap-sim -fasteap -madwifi (-ps3) -wps" 0 kB
[ebuild  N    ] net-fs/openafs-kernel-1.4.9  11,291 kB
[ebuild   R   ] net-wireless/ndiswrapper-1.55-r1  USE="usb -debug*" 0 kB
[ebuild   R   ] media-sound/alsa-utils-1.0.21-r1  USE="nls -doc -minimal*" 0 kB
[ebuild  N    ] net-fs/openafs-1.4.9  USE="kerberos pam -debug -doc" 20 kB
[ebuild   R   ] dev-util/cmake-2.6.4-r3  USE="emacs* qt4* vim-syntax*" 0 kB
[ebuild     U ] dev-perl/XML-LibXML-1.70 [1.66-r1] 332 kB
[uninstall    ] dev-perl/XML-LibXML-Common-0.13
[blocks b     ] dev-perl/XML-LibXML-Common ("dev-perl/XML-LibXML-Common" is blocking dev-perl/XML-LibXML-1.70)
[ebuild   R   ] app-crypt/pinentry-0.7.5  USE="caps* gtk ncurses" 0 kB
[ebuild   R   ] dev-cpp/gtkmm-2.16.0  USE="examples* -debug -doc -test" 0 kB
[ebuild   R   ] app-crypt/gnupg-2.0.14  USE="adns* bzip2 caps* nls smartcard* -doc -ldap -openct -pcsc-lite (-selinux) -static" 0 kB
[ebuild   R   ] media-libs/libcanberra-0.11  USE="alsa* gstreamer* gtk oss* -doc" 0 kB
[ebuild  N    ] sys-libs/lwp-2.2  368 kB
[ebuild   R   ] gnome-extra/policykit-gnome-0.9.2-r1  USE="examples -debug* -doc" 0 kB
[ebuild   R   ] gnome-base/gnome-session-2.26.2  USE="branding* ipv6 -debug -doc -policykit" 77 kB
[ebuild   R   ] gnome-extra/gucharmap-2.26.3.1  USE="cjk* gnome* python -debug -doc -test" 0 kB
[ebuild   R   ] net-libs/gtk-vnc-0.3.8-r1  USE="examples* python" 0 kB
[ebuild   R   ] dev-python/libgnomecanvas-python-2.26.1  USE="examples* -debug" 0 kB
[ebuild   R   ] dev-python/gconf-python-2.26.1  USE="examples* -debug" 0 kB
[ebuild   R   ] app-admin/sudo-1.7.2_p1  USE="offensive* pam skey* -ldap (-selinux)" 0 kB
[ebuild   R   ] dev-python/gnome-keyring-python-2.26.0  USE="examples* -debug" 0 kB
[ebuild   R   ] dev-python/libwnck-python-2.26.0  USE="examples* -debug" 0 kB
[ebuild   R   ] app-editors/gedit-2.26.3  USE="python spell* xattr* -doc" 0 kB
[ebuild   R   ] net-misc/vinagre-2.26.2  USE="avahi* -applet -test" 0 kB
[ebuild   R   ] gnome-extra/zenity-2.26.0  USE="libnotify* -debug" 0 kB
[ebuild   R   ] app-crypt/seahorse-2.26.2  USE="avahi* libnotify* -debug -doc -ldap -test" 0 kB
[ebuild   R   ] x11-wm/metacity-2.26.0-r1  USE="xinerama* -debug -test" 0 kB
[ebuild   R   ] net-print/cups-1.3.11-r1  USE="X acl avahi* dbus gnutls* jpeg* kerberos* pam perl png* ppds* python samba* slp* ssl tiff* xinetd* zeroconf* -java -ldap -php -static" LINGUAS="it -de -en -es -et -fr -he -id -ja -pl -sv -zh_TW" 0 kB
[ebuild   R   ] net-wireless/bluez-4.39-r2  USE="alsa consolekit cups gstreamer usb -debug* -doc -old-daemons -test-programs" 0 kB
[ebuild   R   ] gnome-base/gvfs-1.2.3  USE="avahi* bash-completion* bluetooth* cdda* gnome gnome-keyring* gphoto2* hal* samba* -archive -debug -doc -fuse" 0 kB
[ebuild   R   ] dev-python/gnome-vfs-python-2.26.1  USE="examples* -debug -doc" 0 kB
[ebuild  N    ] media-libs/libao-0.8.8  USE="alsa mmap nas pulseaudio -doc" 397 kB
[ebuild   R   ] app-text/evince-2.26.2  USE="dbus djvu* gnome-keyring* tiff* -debug -doc -dvi -nautilus -t1lib" 0 kB
[ebuild  N    ] media-libs/libmpeg2-0.5.1  USE="X sdl" 513 kB
[ebuild   R   ] app-cdr/cdrdao-1.2.3_rc2  USE="encode* mad* vorbis* -gcdmaster -pccts" 0 kB
[ebuild   R   ] dev-python/libgnomeprint-python-2.26.0  USE="examples* -debug -doc" 0 kB
[ebuild   R   ] dev-python/libbonobo-python-2.26.1  USE="examples* -debug" 0 kB
[ebuild  N    ] media-plugins/gst-plugins-mpeg2dec-0.10.12  0 kB
[ebuild   R   ] dev-python/libgnome-python-2.26.1  USE="examples* -debug" 0 kB
[ebuild   R   ] media-plugins/gst-plugins-meta-0.10-r2  USE="X a52* alsa* dvb* dvd* ffmpeg* flac* mad* mpeg* ogg* oss* theora* vorbis* xv* -esd -mythtv" 0 kB
[ebuild   R   ] gnome-extra/evolution-data-server-2.26.3  USE="gnome-keyring* ipv6 kerberos* krb4* ssl -debug -doc -ldap" 0 kB
[ebuild   R   ] net-misc/vino-2.26.2-r1  USE="avahi* crypt gnome-keyring* gnutls* ipv6 jpeg* libnotify* zlib -debug" 0 kB
[ebuild   R   ] media-libs/swfdec-0.8.4  USE="alsa* ffmpeg* gstreamer* gtk pulseaudio* -doc" 0 kB
[ebuild   R   ] gnome-extra/gnome-media-2.26.0-r1  USE="ipv6 pulseaudio* sound -debug -esd -gnomecd" 0 kB
[ebuild   R   ] gnome-base/nautilus-2.26.4  USE="gnome* -beagle -debug -doc -test (-tracker) -xmp" 0 kB
[ebuild   R   ] gnome-base/gnome-settings-daemon-2.26.1-r2  USE="libnotify* pulseaudio* -debug" 0 kB
[ebuild   R   ] media-video/totem-2.26.3-r1  USE="bluetooth* lirc* nsplugin* python -debug -doc -galago -nautilus (-tracker)" 0 kB
[ebuild   R   ] gnome-extra/gnome-screensaver-2.26.1  USE="libnotify* pam -debug -doc -opengl" 0 kB
[ebuild   R   ] media-gfx/eog-2.26.3  USE="dbus exif* lcms* python -debug -doc -xmp" 0 kB
[ebuild   R   ] www-client/epiphany-2.26.3-r1  USE="avahi* python spell* -debug -doc -networkmanager" 0 kB
[ebuild   R   ] x11-libs/gksu-2.0.2  USE="gnome* -debug -doc" 0 kB
[ebuild   R   ] gnome-base/gnome-volume-manager-2.24.1  USE="consolekit* -automount -debug" 0 kB
[ebuild   R   ] app-cdr/brasero-2.26.3  USE="css libburn nautilus playlist -beagle -cdr*" 0 kB
[ebuild   R   ] gnome-extra/libgsf-1.14.15  USE="bzip2 gnome* python -debug -doc" 0 kB
[ebuild   R   ] gnome-base/gdm-2.20.10-r2  USE="afs* branding* consolekit gnome-keyring* ipv6 pam tcpd xinerama* -accessibility -debug -dmx -remote (-selinux)" 0 kB
[ebuild   R   ] dev-python/gnome-applets-python-2.26.0  USE="examples* -debug" 0 kB
[ebuild  N    ] app-pda/gnome-pilot-2.0.17-r1  USE="hal -debug" 818 kB
[ebuild   R   ] gnome-extra/nm-applet-0.7.2  USE="-debug*" 0 kB
[ebuild  N    ] app-pda/gnome-pilot-conduits-2.0.17  USE="-debug" 483 kB
[ebuild   R   ] gnome-base/gnome-applets-2.26.3  USE="acpi* apm* gnome* gstreamer* hal ipv6 -debug -doc -policykit" 0 kB
[ebuild   R   ] gnome-extra/deskbar-applet-2.26.2-r1  USE="spell* -eds -test" 0 kB
[ebuild   R   ] mail-client/evolution-2.26.3  USE="crypt dbus gstreamer* hal kerberos* krb4* nntp* pda* profile* python ssl -debug -exchange -ldap -mono -networkmanager" 0 kB
[blocks B     ] sys-power/powermgmt-base ("sys-power/powermgmt-base" is blocking sys-power/pm-utils-1.2.5)

Total: 106 packages (3 upgrades, 31 new, 72 reinstalls, 1 uninstall), Size of downloads: 20,788 kB
Conflict: 2 blocks (1 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'sys-power/powermgmt-base-1.22', 'merge') pulled in by
    >=sys-power/powermgmt-base-1.22 required by ('ebuild', '/', 'sys-apps/apmd-3.2.2_p5', 'merge')

  ('installed', '/', 'sys-power/pm-utils-1.2.5', 'nomerge') pulled in by
    >=sys-power/pm-utils-1.1.1 required by ('installed', '/', 'net-misc/wicd-1.6.2.2', 'nomerge')
    sys-power/pm-utils required by world


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Poi per pwermgmt-base:
Code:

devihost devi # emerge -C sys-power/powermgmt-base-1.22

--- Couldn't find '=sys-power/powermgmt-base-1.22' to unmerge.

>>> No packages selected for removal by unmerge

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


ed ancora per apmd
Code:
devihost devi # emerge -C sys-apps/apmd-3.2.2_p5       

--- Couldn't find '=sys-apps/apmd-3.2.2_p5' to unmerge.

>>> No packages selected for removal by unmerge

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


Come puoi vedere quei pacchetti non li ho, cosa devo fare ora?
Back to top
View user's profile Send private message
devi
n00b
n00b


Joined: 05 Feb 2010
Posts: 57

PostPosted: Wed Feb 17, 2010 3:59 pm    Post subject: Reply with quote

Ho sbloccato il tutto eliminando anche wicd. Ora sto eseguendo i comandi indicati (sta facendo emerge world), sperando alla fine di risolvere anche il warning. Vi terrò informati.
Back to top
View user's profile Send private message
darkmanPPT
Veteran
Veteran


Joined: 13 Apr 2006
Posts: 1069
Location: vi/bo

PostPosted: Wed Feb 17, 2010 4:50 pm    Post subject: Reply with quote

spesso, in queste situazioni, può risultare utile fare gli aggiornamenti passo passo.
in che modo?

Code:
emerge -uDN <nomepacchetto>


magari, dopo un parziale aggiornamento, il blocco di update per il world non si verifica più a causa del cambio delle flag in alcuni pacchetti.
spero ti vada tutto senza altri intoppi.
_________________
Darkman
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Forum italiano (Italian) All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum